Skip to content

Schedule Snapshots

POST
/api/v1/schedule-snapshot/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/schedule-snapshot/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '"{\n \"resource_id\": {{node_id}},\n \"resource_type\": \"node\",\n \"time_line\": 1,\n \"create_after\": \"1\",\n \"delete_after\": \"3\"\n}"'
project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key used for authenticating the request

Example

<API_KEY>
location
required
string

Location identifier for the snapshot schedule

Example

<LOCATION>
Media typeapplication/json

Request field

string

Example

{
"resource_id": {{node_id}},
"resource_type": "node",
"time_line": 1,
"create_after": "1",
"delete_after": "3"
}

Successful response

Media typeapplication/json
object
code

HTTP status code of the schedule snapshots response

integer
data
object
errors
object
message

Human-readable status message for the schedule snapshots operation.

string

Example

{
"code": 200,
"message": "Schedule settings has been saved successfully."
}